# Uses of Class
javax.naming.ldap.spi.LdapDnsProviderResult

Packages that use LdapDnsProviderResult
Package
Description
javax.naming.ldap.spi
Provides the Service Provider Interface for DNS lookups when performing LDAP operations.

- ## Uses of LdapDnsProviderResult in javax.naming.ldap.spi

  Methods in javax.naming.ldap.spi that return types with arguments of type LdapDnsProviderResult
  Modifier and Type
  Method
  Description
  `abstract Optional<LdapDnsProviderResult>`
  LdapDnsProvider.`lookupEndpoints(String url, Map<?,?> env)`
  Lookup the endpoints and domain name for the given `Context` `provider URL` and environment.